Update FacilityAppointment Customer

Use this API to update the customer (and customer_emails) fields on a FacilityAppointment

Body
application/json
  • customer
    Type: string
    required
  • id
    Type: stringFormat: uuid
    required

    The id of the FacilityAppointment.

  • customer_emails
    Type: array string[]

    If provided, will replace all the specified customer emails on the FacilityAppointment.

Responses
Request Example for post/v1/update_facility_appointment_customer
curl https://api.getconduit.ai/v1/update_facility_appointment_customer \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "id": "2aae24c7-438d-473f-aba8-7793b7efdec3",
  "customer": "Sierra Bottling Company",
  "customer_emails": [
    "[email protected]",
    "[email protected]"
  ]
}'
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "type": "Inbound",
  "loading_type": "Live",
  "scheduled_start_time": "2026-04-28T13:27:03.051Z",
  "scheduled_end_time": "2026-04-28T13:27:03.051Z",
  "status": "Scheduled",
  "recurring_facility_appointment": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "repetition_type": "Daily"
  },
  "order_info": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "reference_id": "string"
    }
  ],
  "created_at": "2026-04-28T13:27:03.051Z",
  "updated_at": "2026-04-28T13:27:03.051Z",
  "is_work_in": false,
  "quantity": 1,
  "units": null,
  "carrier": null,
  "carrier_email": null,
  "carrier_phone": null,
  "carrier_driver": null,
  "carrier_notes": null,
  "shipper_receiver": null,
  "dock": null,
  "forklift": null,
  "trailer_number": null,
  "seal_number": null,
  "estimated_start_datetime": null,
  "load_started_at": "2024-11-01T15:56:50.052000-07:00",
  "load_finished_at": "2024-11-01T15:56:50.052000-07:00",
  "checked_in_at": null,
  "checked_out_at": null,
  "cancelled_at": null,
  "cancelled_reason": "FACILITY_REJECTED_LOAD",
  "cancelled_note": null,
  "public_notes": "string",
  "notes": "string",
  "facility": "123e4567-e89b-12d3-a456-426614174000",
  "all_load_types": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "string"
    }
  ]
}